# SbStringList Class Reference
[Base classes]

`#include <Inventor/lists/SbStringList.h>`

Inheritance diagram for SbStringList:

List of all members.

## Detailed Description

The SbStringList class is a container for arrays of SbString pointers.

Note that upon using the equality and inequality operators, the strings themselves are not compared, only the pointer values.

This class do not allocate or deallocate strings. It's the callers responsibility to allocate/deallocate the SbString instances.

See also:
  SbPList

## Public Member Functions

| SbStringList (void)
| SbStringList (const int sizehint)
void | append (SbString *string)
int | find (SbString *string) const
void | insert (SbString *string, int insertbefore)
SbString *& | operator[] (const int idx) const
const SbString ** | getArrayPtr (void) const

## Constructor & Destructor Documentation

SbStringList::SbStringList | ( | void |  | ) | `[inline]`

| Default constructor.

SbStringList::SbStringList | ( | const int | sizehint | ) | `[inline]`

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also:
  SPbList::SbList(const int sizehint)

## Member Function Documentation

int SbStringList::find | ( | SbString * | string | ) | const`[inline]`

| Overridden from parent to accept an SbString argument.

void SbStringList::insert | ( | SbString * | string,
|  | int | insertbefore
| ) | `[inline]`

| Overridden from parent to accept an SbString argument.

SbString *& SbStringList::operator[] | ( | const int | idx | ) | const`[inline]`

| Overridden from parent to return an SbString pointer. Reimplemented from SbPList.

const SbString ** SbStringList::getArrayPtr | ( | void |  | ) | const`[inline]`

| Overridden from parent to return an SbString pointer array.

The documentation for this class was generated from the following files:

- SbStringList.h
- SbStringList.cpp